@echo off
if .%1. == .. goto nospec
if not exist %1\NUL goto nodir

rem
rem Save the current championship season
rem

if exist season.bin copy season.bin %1

rem
rem For each track, save that track's data
rem

cd tracks
for %%t in (austral clevland detroit elkhart laguna longbch michigan midohio) do call ..\savetrk %1 %%t
for %%t in (mlwaukee nazareth nwenglnd phoenix portland toronto vancouvr) do call ..\savetrk %1 %%t
cd ..
goto end

:nospec
echo usage: saveall [directory]
goto end

:nodir
echo Error: the directory %1 must exist.

:end
